/*
 * SYSTEM-WIDE STYLES
 * 2014/02/13/3S	div#user span#userExpired
 */

* {
	margin:			0;
	padding:		0;
	font-weight:		normal;
}

body {
	background:		#ebebeb;
	color:			#333;
	/*font:			78.5%/1.6em "Lucida Grande", "Lucida Sans Unicode", verdana, geneva, sans-serif;*/
	font:			normal .8em/1.5em Arial, Helvetica, sans-serif;
	word-spacing:		2px;
/*
	width: 900px;
	margin: 100px auto;
*/
}

h1 {
	padding-top:		2em;
	font-weight:		bold;
}

h2 {
	padding-top:		2em;
	font-size:		150%;
	font-weight:		bold;
	color:			#79B933;
}

h3 {
	padding-top:		2em;
	font-size:		125%;
	font-weight:		bold;
	color:			#79B933;
}

h4 {
	padding-top:		2em;
	font-size:		110%;
	font-weight:		bold;
	color:			#79B933;
}

h5 {
	padding-top:		1em;
	font-size:		110%;
	font-style:		italic;
	color:			#79B933;
}

h2 a.button,
h3 a.button,
h4 a.button,
h5 a.button,
x {
	font-size:		12px;
	margin-left:		2em;
}

ul {
	padding-left:		3em;
	line-height:		180%;
}

p {
	margin-top:		15px;
	line-height:		180%;
}

a {
	color: #333;
}

em {
	font-weight:		bold;
}

sup.SM {
	font-size:		67%;
}

input,
select
{
	padding:		2px;
	display:		inline;
	color:			#333;
	background:		#FFF;
	border:			1px solid #444;
}

span.errormessage {
	color:			red;
}

input.button,
a.button,
button
{
	border:			1px solid #444;
	padding:		2px 5px 2px 5px;
	border-radius:		1em;
	background:		#333;
	color:			#FFF;
	text-decoration:	none;
}
input.button:hover,
a.button:hover,
button:hover
{
	background:		#CCC;
	color:			#333;
}
input.button:active,
a.button:active,
button:active
{
	background:		#CCC;
	color:			#000;
}

/*
 * FIELD SIZES (note: if change the longest from 20em, change div#params fieldset max-width too)
 */


input#usercode,
input#customercode,
input#password,
input#name,
input#host,
input#authuser,
input#authpass,
input#email,
input#deliver_to,
input#description,
input#file_upload,
x {
	width:			20em;
}
input#xml_file,
x {
	width:			32em;
}
input#port,
input#timeout,
input#day_of_month,
input#day_of_week,
input#hour_of_day,
input#minute_of_hour,
x {
	width:			4em;
}
textarea#targets,
textarea#xml,
textarea#cacerts,
x {
	height:			20em;
	width:			36em;
}
textarea#cert,
x {
	height:			20em;
	width:			48em;
}

div.clear {
	clear:			both;
}

span.button {
	padding:		2px 5px 2px 5px;
/*
	border:			2px solid #CCC;
	border-right-color:	#333;
	border-bottom-color:	#333;
*/
	border-radius:		1em;
	background:		#333;
	color:			#FFF;
	text-decoration:	none;
}

pre.xml {
	font-family:		monospace;
	word-spacing:		0;
	margin-top:		-1.5em;
	padding-bottom:		0;
}
pre.xml b {
	font-weight:		bold;
}

/*
 * PAGES HEADER and NAV MENUS
 */

div#main {
}

/*
div#top {
	position:		fixed;
	top:			0;
	width:			100%;
}
*/

div#header {
	padding-left:		30px;
	padding-right:		30px;
	margin-bottom:		12px;
	background:		#8b8b8b; /* for non-css3 browsers */
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#d9d9d9', endColorstr='#aaaaaa'); /* for IE */
	background: -webkit-gradient(linear, left top, left bottom, from(#d9d9d9), to(#aaaaaa)); /* for webkit browsers */
	background: -moz-linear-gradient(top,  #d9d9d9,  #aaaaaa); /* for firefox 3.6+ */
}

div#logo {
	float:			left;
}
div#logo img {
	border:			none;
}

div#title {
	float:			left;
	color:			#333;
}

div#title h1 {
	padding:		0;
	margin-top:		12px;
	margin-left:		6px;
	font:			300% Georgia;
	font-weight:		bold;
	color:			#333;
}

div#title h2 {
	padding:		0;
	margin-top:		12px;
	margin-left:		6px;
	font:			150% Georgia;
	color:			#333;
}

div#user {
	float:			right;
}
div#user span#userExpired {
	color:			#FFF;
	background:		red;
	padding:		4px 6px;
}

div#subheader {
	padding-left:		30px;
	padding-right:		30px;
}

div#navdiv {
	float:			left;
}

div#googlesearch {
	float:			right;
}

div#Content {
/*
	padding-top:		100px;
*/
	padding-left:		30px;
	padding-right:		30px;
	padding-bottom:		30px;
}

div#footer {
	padding-left:		30px;
	padding-right:		30px;
	background:		#EEE;
	font-size:		80%;
}

/*
 * STANDARD PARAMETER ENTRY STUFF
 */

div.params legend {
	margin-left:		1em;
	color:			#FFF;
	background:		#333;
	border:			1px solid #333;
	padding:		2px 6px;
}

div.params fieldset {
	margin:			1.5em 0 0 0;
	padding:		0;
	border:			1px solid #333;
	max-width:		40em;
}
div.params fieldset.big {
	max-width:		54em;
}
div.params fieldset.toobig {
	max-width:		none;
	border:			none;
}
div.params fieldset ol {
	margin:			1em 0 0 0;
	padding:		1em 1em 0 1em;
	list-style:		none;
}
div.params fieldset li {
	padding-bottom:		1em;
}
div.params fieldset p {
	margin:			1em 5em 1em 5em;
}

div.params fieldset.submit {
	margin-left:		10em;
	border:			none;
}

div.params label {
	display:		inline-block;
	text-align:		right;
	vertical-align:		top;
	width:			12em;
	margin-right:		1em;
}

div.params p.paramnote {
	margin:			0em 0em 0em 14em; /* two more than width of label */
}

/*
 * MAIN PAGE
 */

div#messages {
	padding:		10px 40px 10px 40px;
	border:			3px solid #CCC;
	border-radius:		48px;
	-moz-border-radius:	48px;
	margin-left:		48px;
	margin-right:		48px;
	margin-bottom:		24px;
	background:		yellowgreen;
	font-size:		125%;
}

div#index {
	padding-top:		30px;
}

div#index div#forcetls,
div#index div#levels,
div#index div#guide1,
div#index div#guide2,
x {
	padding:		10px 40px 30px 40px;
	width:			38%;
	border:			3px solid #CCC;
	border-radius:		48px;
	-moz-border-radius:	48px;
}
div#index div#levels,
div#index div#guide1,
x {
	float:			left;
}
div#index div#forcetls,
div#index div#guide2,
x {
	float:			right;
}
div#index div#guide1,
div#index div#guide2,
x {
	margin-top:		3em;
}

div#index div#forcetls h4,
div#index div#levels h4,
x {
	font-size:		125%;
	font-weight:		bold;
	text-align:		center;
	color:			#333;
}

div#index div#levels ul.levels {
	padding:		0;
}
div#index div#levels ul.levels li {
	list-style:		none;
	background:		#DDD;
	margin-bottom:		20px;
	margin-left:		-20px;
	margin-right:		-20px;
	padding-left:		50px;
	padding-right:		20px;
	text-indent:		-30px;
}
div#index div#levels ul.levels hr {
	height:			1px;
	margin-left:		-30px;
	border:			none;
	color:			#333;
	background-color:	#333;
}
div#index div#levels ul.levels p.level {
	float:			left;
}
div#index div#levels ul.levels p.cost {
	float:			right;
}
div#index div#levels ul.levels ul.tests {
	padding:		0;
}
div#index div#levels ul.levels ul.tests li {
	border:			none;
	padding:		0;
	margin:			0;
}

div#index div#forcetls ul.levels {
	padding:		0;
}
div#index div#forcetls ul.levels li {
	list-style:		none;
	background:		#DDD;
	margin-bottom:		20px;
	margin-left:		-20px;
	margin-right:		-20px;
	padding-left:		20px;
	padding-right:		20px;
}
div#index div#forcetls ul.levels hr {
	height:			1px;
	border:			none;
	color:			#333;
	background-color:	#333;
}
div#index div#forcetls ul.levels ul.tests {
	padding:		0;
}
div#index div#forcetls ul.levels ul.tests li {
	border:			none;
	padding:		0;
	margin:			0;
}

/*
 * subscriptions
 */

div#subscriptions ul {
	padding:		0;
}

div#subscriptions ul li {
	list-style:		none;
	font-weight:		bold;
}

div#subscriptions ul li ul {
	padding-left:		3em;
}

div#subscriptions ul li ul li {
	font-weight:		normal;
}

/*
 * tests
 */

div#tests ul {
	padding:		0;
}

div#tests ul li {
	list-style:		none;
}

div#tests ul li ul {
	padding-left:		2em;
}

div#tests ul li ul li {
}

/*
 * MISC
 */

div.LinedPaper {
	font-family:		Georgia;
	font-size:		12px;
	line-height:		18px;
	background:		url(pre_bg.gif) repeat left top; /*--Background of lined paper--*/
}

div#subtest {
	margin-right:		3em;
	margin-left:		3em;
}

div#TestReceiver p.note {
	margin:			0;
}

div#BatchTest table.selecttest {
	display:		inline;
}

form#download textarea {
	overflow:		hidden;
}

p.negline {
	margin-top:		-1em;
	margin-bottom:		-1em;
}
div.batchtesttargetattributes div.item,
div.inputparameters div.item,
div.outputlevels div.item,
div.matrixlist div.item,
x{
	float:			left;
	padding-left:		2em;
	width:			10em;
	font-weight:		bold;
}
div.inputparameters div.description,
div.outputlevels div.description,
div.matrixlist div.description,
x{
	margin-left:		12em; /* two more than item width */
}

div.elements div.line {
	clear:			both;
}

div#batchtestxml div.elements div.item,
div#extras div.elements div.item,
div#watchconnect div.elements div.item,
div#testservice div.elements div.item,
x {
	float:			left;
	padding-left:		2em;
	width:			14em;
	font-weight:		bold;
}
div#batchtestxml div.elements div.description,
div#extras div.elements div.description,
div#watchconnect div.elements div.description,
div#testservice div.elements div.description,
x {
	margin-left:		16em; /* two more than item width */
}

div#index form#TryATest {
	display:		inline;
}
div#index form#TryATest input.text {
	padding:		2px;
	width:			12em;
}

div#batchtestxml div.attributes div.item {
	float:			left;
	padding-left:		2em;
	width:			8em;
	font-weight:		bold;
}
div#batchtestxml div.attributes div.description {
	margin-left:		10em; /* two more than item width */
}
div#monitoring_walkthru div.line {
	padding-top:		2em;
}
div#monitoring_walkthru div.line div.step {
	float:			left;
	padding-left:		2em;
	width:			20em;
	font-weight:		bold;
}
div#monitoring_walkthru div.line div.jpg {
	margin-left:		26em; /* six(!) more than item width */
}

div#testsender pre.sample {
	font-size:		90%;
	width:			52em;
	border:			1px solid #444;
	padding:		2em;
	font-family:		monospace;
	word-spacing:		0;
	padding-bottom:		0;
}

div#testsender pre.code,
div#testreceiver pre.code,
x {
	font-family:		monospace;
	word-spacing:		0;
	padding-bottom:		0;
}

div#batchtest ol.l1 {
	padding-left:		0;
	list-style:		none;
}
div#batchtest ol.l1 li {
	padding-top:		1em;
}
div#batchtest ol.l1 ol.l2 li {
	padding-top:		0;
}
div#batchtest ol.l1 li:first-line {
	font-weight:		bold;
}
div#batchtest ol.l2 {
	padding-left:		3em;
	list-style-type:	none;
}
div#batchtest ol.l2 li {
}

div#forcetls span.quote {
	font-family:		monospace;
	font-size:		130%;
}

div#SubscriptionSignUp span.errormessage form {
	display:		inline;
}

/* http://www.myasp-net.com/cssmenuvertical3/cssmenuvertical.htm */
/* Root = Horizontal, Secondary = Vertical */
ul#nav {
/*
	margin: 0;
	border: 0 none;
	padding: 0;
	width: 500px; /*For KHTML*-/
	list-style: none;
	height: 24px;
*/

	margin: 0;
	padding: 5px 6px 0; /* was 7px 6px */
	line-height: 100%;
	border-radius: 2em;
	-webkit-border-radius: 2em;
	-moz-border-radius: 2em;
	-webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, .4);
	-moz-box-shadow: 0 1px 3px rgba(0, 0, 0, .4);
	background: #8b8b8b; /* for non-css3 browsers */
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#a9a9a9', endColorstr='#7a7a7a'); /* for IE */
	background: -webkit-gradient(linear, left top, left bottom, from(#a9a9a9), to(#7a7a7a)); /* for webkit browsers */
	background: -moz-linear-gradient(top,  #a9a9a9,  #7a7a7a); /* for firefox 3.6+ */
	border: solid 1px #6d6d6d;
}

ul#nav li {
/*
	margin: 0;
	border: 0 none;
	padding: 0;
	float: left; /*For Gecko*-/
	display: inline;
	list-style: none;
	position: relative;
	height: 24px;
*/

	margin: 0 5px;
	padding: 0 0 4px; /* was 8px */
	float: left;
	position: relative;
	list-style: none;
}

ul#nav ul {
/*
	margin: 0;
	border: 0 none;
	padding: 0;
	width: 160px;
	list-style: none;
	display: none;
	position: absolute;
	top: 24px;
	left: 0;
*/

	background: #ddd; /* for non-css3 browsers */
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#cfcfcf'); /* for IE */
	background: -webkit-gradient(linear, left top, left bottom, from(#fff), to(#cfcfcf)); /* for webkit browsers */
	background: -moz-linear-gradient(top,  #fff,  #cfcfcf); /* for firefox 3.6+ */
	display: none;
	margin: 0;
	padding: 0;
	width: 185px;
	position: absolute;
	top: 33px; /* was 35px */
	left: 0;
	border: solid 1px #b4b4b4;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	-webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, .3);
	-moz-box-shadow: 0 1px 3px rgba(0, 0, 0, .3);
	box-shadow: 0 1px 3px rgba(0, 0, 0, .3);
}

ul#nav ul li {
	float: none; /*For Gecko*/
	display: block !important;
	display: inline; /*For IE*/
}

/* Root Menu */
ul#nav a {
/*
	border: 1px solid #FFF;
	border-right-color: #CCC;
	border-bottom-color: #CCC;
	padding: 0 6px;
	float: none !important; /*For Opera*-/
	float: left; /*For IE*-/
	display: block;
	background: #EEE;
	color: #666;
	/*font: bold 10px/22px Verdana, Arial, Helvetica, sans-serif;*-/
	text-decoration: none;
	height: auto !important;
	height: 100%; /*For IE*/
*/

	height: auto !important;
	height: 100%; /*For IE*/
	font-weight: bold;
	color: #e7e5e5;
	text-decoration: none;
	display: block;
	padding:  8px 20px;
	margin: 0;
	-webkit-border-radius: 1.6em;
	-moz-border-radius: 1.6em;
	text-shadow: 0 1px 1px rgba(0, 0, 0, .3);
}

/* Root Menu Hover Persistence */
ul#nav .current,
ul#nav a:hover,
ul#nav li:hover a,
ul#nav li.iehover a {
/*
	background: #CCC;
	color: #FFF;
	border-top: solid 1px #f8f8f8;
*/

	background: #d1d1d1; /* for non-css3 browsers */
	/*filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#ebebeb', endColorstr='#a1a1a1'); /* for IE */
	background: -webkit-gradient(linear, left top, left bottom, from(#ebebeb), to(#a1a1a1)); /* for webkit browsers */
	background: -moz-linear-gradient(top,  #ebebeb,  #a1a1a1); /* for firefox 3.6+ */
	color: #444;
	-webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .2);
	-moz-box-shadow: 0 1px 1px rgba(0, 0, 0, .2);
	box-shadow: 0 1px 1px rgba(0, 0, 0, .2);
	text-shadow: 0 1px 0 rgba(255, 255, 255, .8);
}

/* 2nd Menu */
ul#nav li:hover li a,
ul#nav li.iehover li a {
/*
	float: none;
	background: #EEE;
	color: #666;
*/

	background: none;
	border: none;
	color: #666;
	-webkit-box-shadow: none;
	-moz-box-shadow: none;
}

/* 2nd Menu Hover Persistence */
ul#nav li:hover li a:hover,
ul#nav li:hover li:hover a,
ul#nav li.iehover li a:hover,
ul#nav li.iehover li.iehover a {
/*
	background: #CCC;
	color: #FFF;
*/

	/* blue stuff */
	background: #0399d4 !important; /* for non-css3 browsers */
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#04acec', endColorstr='#0186ba'); /* for IE */
	background: -webkit-gradient(linear, left top, left bottom, from(#04acec), to(#0186ba)) !important; /* for webkit browsers */
	background: -moz-linear-gradient(top,  #04acec,  #0186ba) !important; /* for firefox 3.6+ */

	color: #fff !important;
	text-shadow: 0 1px 1px rgba(0, 0, 0, .1);
	-webkit-border-radius: 1.6em;
	-moz-border-radius: 1.6em;
}

ul#nav ul ul {
	display: none;
	position: absolute;
	top: -7px;
	left: 160px;
	padding-top: 7px;
}

/* Do Not Move - Must Come Before display:block for Gecko */
ul#nav li:hover ul ul,
ul#nav li.iehover ul ul {
	display: none;
}

ul#nav li:hover ul,
ul#nav ul li:hover ul,
ul#nav ul ul li:hover ul,
ul#nav li.iehover ul,
ul#nav ul li.iehover ul,
ul#nav ul ul li.iehover ul {
	display: block;
}

/* rounded corners for first and last child */
#nav ul li:first-child > a {
	-webkit-border-top-left-radius: 9px;
	-moz-border-radius-topleft: 9px;
	-webkit-border-top-right-radius: 9px;
	-moz-border-radius-topright: 9px;
}
#nav ul li:last-child > a {
	-webkit-border-bottom-left-radius: 9px;
	-moz-border-radius-bottomleft: 9px;
	-webkit-border-bottom-right-radius: 9px;
	-moz-border-radius-bottomright: 9px;
}
/* clearfix */
#nav:after {
	content: ".";
	display: block;
	clear: both;
	visibility: hidden;
	line-height: 0;
	height: 0;
}
#nav {
	display: inline-block;
}
html[xmlns] #nav {
	display: block;
}
* html #nav {
	height: 1%;
}
